export type RoomListResponse = {
    data: {
        floor: {
            name: string;
            rooms: {
                name: string;
                id: string;
            }[];
            zones: {
                name: string;
                id: string;
            }[];
        };
    };
};
export type Reporting = {
    sum: number;
    min: number;
    max: number;
    count: number;
    mean: number;
    median: number;
    stddev: number;
    first: number;
    last: number;
};
export type ButlrApiState = {
    access_token: string;
    start?: string;
    stop?: string;
    timeFrame?: string;
    reportFunction?: string;
    roomList: {
        name: string;
        id: string;
    }[];
    reports: Record<string, Record<string, Reporting>>;
    detections: HeatmapData;
};
export declare const butlrApiState: ButlrApiState;
export declare const butlrSpaceId = "space_2SPCM4O6xGyIGNWcLoC5RQdq1sx";
export declare const getButlrToken: () => Promise<void>;
export declare const makeButlrRequest: (endpoint: string, body: unknown) => Promise<any>;
export declare const gqlQuery: (query: string, variables?: {}) => Promise<any>;
export declare const queryRooms: () => Promise<RoomListResponse>;
export declare const getRoomReport: (roomIds: string[], start: string, stop: string, timeFrame?: string, reportFunction?: string) => Promise<any>;
export type HeatmapData = {
    heatmap_v2: {
        array_cells: number[][];
        metadata: {
            max_value: number;
            resolution: number;
            total_detections: number;
        };
    };
};
export declare const getSpaceDetections: (space_id: string, start: string, stop: string, grid_resolution?: number) => Promise<HeatmapData>;
export declare const saveToLocalStorage: (newState: ButlrApiState) => void;
export declare const loadState: () => void;
